PROGRAM CharTest
   IMPLICIT NONE

   CHARACTER(1) :: Input

   READ(*,*) Input

   SELECT CASE (Input)
      CASE ('A':'Z','a':'z')     !test for letters
         WRITE(*,*) 'A Letter is Found "', Input,'"'
         SELECT CASE (Input)     ! test for vowel
            CASE ('A','E','I','O','U', 'a','e','i','o','u')
               WRITE(*,*) ' and it is a vowel!'
            CASE DEFAULT         ! must be a consonant
               WRITE(*,*) ' and it is a consonant!'
         END SELECT
      CASE ('0':'9')             ! looking for digits
         WRITE(*,*) 'Found a Digid "', Input, '"'
      CASE ( '+','-','*','/')    ! looking for an operator
         WRITE(*,*) 'Found an Operator "', Input, '"'
      CASE ( ' ')                ! looking for a space
         WRITE(*,*) 'Found a Space "', Input, '"'
      CASE DEFAULT               ! found something else
         WRITE(*,*) 'Found something else "', Input, '"'
   END SELECT   
   
END PROGRAM CharTest
